apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: django-ingress
  namespace: capstone
spec:
  ingressClassName: nginx
  tls:
    - hosts:
      - oncloud10.xyz
      secretName: tls-secret
  rules:
  - host: oncloud10.xyz
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: django-app
            port:
              number: 8000
  - host: www.oncloud10.xyz
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: django-app
            port:
              number: 8000
